{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    " BA",
    " AB",
    "A  "
  ],
  "key": {  
	"A": {
      "item": "minecraft:iron_ingot"
    },
  "B": {
      "item": "minecraft:iron_nugget"
    }
  },
  "result": {
    "item": "dubl:key_iron"
  }
}